Package ru.bitel.bgbilling.modules.cerbercrypt.common.service

# Interface DealerService

    public interface DealerService

Дилеры в админке.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.List<Dealer>` | `dealerList()` | Список дилеров.
  `java.util.List<Dealer>` | `dealerTable​(java.lang.String title, java.util.Date date1, java.util.Date date2)` | Список всех дилеров.
  `void` | `deleteDealer​(int id)` | Удаление дилера.
  `Dealer` | `get​(int id)` | Получение дилера.
  `int` | `update​(Dealer dealer)` | Обновление дилера.

- ## Method Details

  - ### dealerTable

    java.util.List<Dealer> dealerTable​(java.lang.String title, java.util.Date date1, java.util.Date date2) throws ru.bitel.bgbilling.common.BGMessageException, ru.bitel.bgbilling.common.BGException
    Список всех дилеров. Модуль церберкрипт -> дилеры.
    Returns:
      список.
    Throws:
      `ru.bitel.bgbilling.common.BGMessageException`
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteDealer

    void deleteDealer​(int id) throws ru.bitel.bgbilling.common.BGMessageException, ru.bitel.bgbilling.common.BGException
    Удаление дилера. Модуль церберкрипт -> дилеры.
    Parameters:
      `id` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### get

    Dealer get​(int id) throws ru.bitel.bgbilling.common.BGMessageException, ru.bitel.bgbilling.common.BGException
    Получение дилера. Модуль церберкрипт -> дилеры.
    Parameters:
      `id` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### update

    int update​(Dealer dealer) throws ru.bitel.bgbilling.common.BGMessageException, ru.bitel.bgbilling.common.BGException
    Обновление дилера. Модуль церберкрипт -> дилеры.
    Parameters:
      `dealer` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### dealerList

    java.util.List<Dealer> dealerList() throws ru.bitel.bgbilling.common.BGMessageException, ru.bitel.bgbilling.common.BGException
    Список дилеров.
    Returns:
      список.
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`